SDL_MaximizeWindow(3)

NAME
SDL_MaximizeWindow - Request that the window be made as large as possible.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_MaximizeWindow(SDL_Window *window);

DESCRIPTION
Non-resizable windows can't be maximized. The window must have the SDL_WINDOW_RESIZABLE
 flag set, or this will have no effect. On some windowing systems this request is asynchronous and the new window state may not have have been applied immediately upon the return of this function. If an immediate change is required, call SDL_SyncWindow () to block until the changes have taken effect. When the window state changes, an SDL_EVENT_WINDOW_MAXIMIZED
 event will be emitted. Note that, as this is just a request, the windowing system can deny the state change. When maximizing a window, whether the constraints set via SDL_SetWindowMaximumSize () are honored depends on the policy of the window manager. Win32 and macOS enforce the constraints when maximizing, while X11 and Wayland window managers may vary.

FUNCTION PARAMETERS

window
    the window to maximize

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_MinimizeWindow(3), SDL_RestoreWindow(3), SDL_SyncWindow(3)